Tspi_Key_CertifyKey(3)

NAME
Tspi_Key_CertifyKey - sign a public key.

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_Key_CertifyKey(TSS_HKEY        hKey, TSS_HKEY hCertifyingKey,
                               TSS_VALIDATION* pValidationData);

DESCRIPTION

Tspi_Key_CertifyKey signs a public key.

PARAMETERS

  hKey
Handle of the key object to be loaded.

  hCertifyingKey
Handle to the certifying key used to sign the addressed by hKey.

  pValidationData
Pointer to a structure of the type TSS_VALIDATION. After successful completion of the call the member rgbValidationData of this structure contains the signature data of the command. The member prgbData of the structure points to a buffer containing a TCPA_CERTIFY_INFO data stream as specified within the TCPA 1.1b Main Specification.

RETURN CODES

Tspi_Key_CertifyKey returns TSS_SUCCESS on success, otherwise one of the following values are returned:

TSS_E_INVALID_HANDLE - Either hKey or hCertifyingKey are invalid handles.

TSS_E_BAD_PARAMETER

TSS_E_INTERNAL_ERROR - An error occurred internal to the TSS.

CONFORMING TO

Tspi_Key_CertifyKey conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_Key_CreateKey(3), Tspi_Key_WrapKey(3).